package com.usky.iot.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.iot.domain.DmpProductCommand;
import com.usky.common.mybatis.core.CrudService;
import com.usky.iot.service.vo.DmpProductCommandRequestVO;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 产品命令表 服务类
 * </p>
 *
 * @author han
 * @since 2024-10-30
 */
public interface DmpProductCommandService extends CrudService<DmpProductCommand> {

    void add(DmpProductCommand dmpProductCommand);
    void edit(DmpProductCommand dmpProductCommand);
    CommonPage<DmpProductCommand> page(DmpProductCommandRequestVO requestVO);
    void remove(Integer id);
}
